## cagibi 0.2.0

=== CMakeLists.txt ===
project( Cagibi )

cmake_minimum_required(VERSION 2.4.5 FATAL_ERROR)
# CMP0005: keep escaping behaviour for definitions added via add_definitions()
cmake_policy(SET CMP0005 OLD)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set(CMAKE_MODULE_PATH "${Cagibi_SOURCE_DIR}/cmake/modules")

find_package( Qt4 REQUIRED COMPONENTS QtCore QtXml QtDBus QtNetwork )
include(${QT_USE_FILE})

find_package(Automoc4 REQUIRED)

set(CAGIBI_VERSION_MAJOR "0")
set(CAGIBI_VERSION_MINOR "2")
set(CAGIBI_VERSION_PATCH "0")
set(CAGIBI_VERSION "${CAGIBI_VERSION_MAJOR}.${CAGIBI_VERSION_MINOR}.${CAGIBI_VERSION_PATCH}")


if (NOT DEFINED SYSCONF_INSTALL_DIR)
  if("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
    set(SYSCONF_INSTALL_DIR  "/etc") # conform to LFSH
  else("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
    set(SYSCONF_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/etc")
  endif("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
else (NOT DEFINED SYSCONF_INSTALL_DIR)
  set(SYSCONF_INSTALL_DIR "${SYSCONF_INSTALL_DIR}" CACHE STRING "The sysconfig install dir")
endif (NOT DEFINED SYSCONF_INSTALL_DIR)


if (NOT DEFINED CAGIBI_DAEMON_SHUTDOWN_SECS)
  set(CAGIBI_DAEMON_SHUTDOWN_SECS "0" CACHE STRING "Default time without services and activity to trigger shutdown (0 = no shutdown)")
endif()

if (NOT DEFINED CAGIBI_DAEMON_SEARCH_TIMEOUT_SECS)
  set(CAGIBI_DAEMON_SEARCH_TIMEOUT_SECS "3" CACHE STRING "Default search timeout when querying for devices on a new network")
endif()

add_definitions(
  -DCAGIBI_DAEMON_SHUTDOWN_SECS=${CAGIBI_DAEMON_SHUTDOWN_SECS}
  -DCAGIBI_DAEMON_SEARCH_TIMEOUT_SECS=${CAGIBI_DAEMON_SEARCH_TIMEOUT_SECS}
  -DSYSCONF_INSTALL_DIR=\\"${SYSCONF_INSTALL_DIR}\\"
)

add_subdirectory( daemon )

=== daemon/CMakeLists.txt ===
include_directories(
)

set( cagibid_SRCS
    devicedescriptionxmlhandler.cpp
    icon_p.cpp
    icon.cpp
    service_p.cpp
    service.cpp
    device_p.cpp
    device.cpp
    rootdevice.cpp
    ssdpwatcher.cpp

    devicelist.cpp
    devicelistdbusadaptor.cpp
    dbuscodec.cpp

    control.cpp
    controldbusadaptor.cpp

    daemon.cpp
    main.cpp
)

automoc4_add_executable( cagibid  ${cagibid_SRCS} )

target_link_libraries( cagibid
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTCORE_LIBRARY}
)

install( TARGETS cagibid  RUNTIME DESTINATION bin )

configure_file( org.kde.Cagibi.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Cagibi.service )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Cagibi.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/system-services )
install( FILES org.kde.Cagibi.conf DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d/ )

set( cagibid_CONF_NAME cagibid.conf )
set( cagibid_CONF ${CMAKE_CURRENT_BINARY_DIR}/${cagibid_CONF_NAME} )
configure_file( ${cagibid_CONF_NAME}.cmake ${cagibid_CONF} )
install( FILES ${cagibid_CONF}  DESTINATION ${SYSCONF_INSTALL_DIR} )

set( cagibid_DBUS_API
    org.kde.Cagibi.Control.xml
    org.kde.Cagibi.DeviceList.xml
)
install( FILES ${cagibid_DBUS_API} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces )

## cagibi 0.1.1

=== debian/changelog ===
cagibi (0.1.1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Build depend on pkg-kde-tools and compress using LZMA
  * Remove kubuntu_01_binary_location.diff (applied upstream)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 29 Aug 2010 19:29:08 +0200

cagibi (0.1.0-0ubuntu1) maverick; urgency=low

  * Initial upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Jul 2010 11:43:50 +0100

=== debian/control ===
Source: cagibi
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3), cmake, automoc, libqt4-dev, pkg-kde-tools
Standards-Version: 3.9.1
Section: kde

Package: cagibi
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cache/proxy daemon for SSDP used with UPnP
 Cagibi is a prototype of a cache/proxy daemon for
 SSDP, the discovery part of UPnP.

## cagibi 0.2.0

=== debian/changelog ===
cagibi (0.2.0-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1013914).
  * Update Standards-Version to 3.9.3.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 21 Jun 2012 10:15:39 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 7.3), cmake, automoc, libqt4-dev, pkg-kde-tools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Section: kde
 
 Package: cagibi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --with lzma

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncommment to examine a FTP server
ftp://ftp.kde.org/pub/kde/stable/cagibi/cagibi-(.*)\.tar\.bz2 debian uupdate
